namespace ServiceCenter.Data.BLT
{
    using System;
    using BLToolkit.Data;
    using BLToolkit.Data.Linq;

    public class ServiceCenterDB : DbManager
    {
        public Table<DeviceType> DeviceTypes { get { return GetTable<DeviceType>(); } }

        public Table<Employee> Employees { get { return GetTable<Employee>(); } }

        public Table<Manufacturer> Manufacturers { get { return GetTable<Manufacturer>(); } }

        public Table<Position> Positions { get { return GetTable<Position>(); } }

        public Table<Request> Requests { get { return GetTable<Request>(); } }

        public Table<Status> Statuses { get { return GetTable<Status>(); } }
    }
}
